STRUCT TEMPLATE(3)

NAME
boost::proto::complement - A metafunction for generating complement expression types, a grammar element for matching complement expressions, and a PrimitiveTransform that dispatches to the proto::pass_through<> transform.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename T>
struct complement :  proto::transform< complement<T> > {
  // types
  typedef proto::expr< proto::tag::complement, proto::list1< T > >       type;
  typedef proto::basic_expr< proto::tag::complement, proto::list1< T > > proto_grammar;
  // member classes/structs/unions
  template<typename Expr, typename State, typename Data>
  struct impl :
     proto::pass_through<complement>::template impl<Expr, State, Data>
  {
  };
};

DESCRIPTION